
CoCoA-5 - Feature #700

Which external libs are present?
Status: Closed Start date: 13 May 2015

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: CoCoA-5 function: new Estimated time: 1.00 hour

Target version: CoCoA-5.1.3/4 Jan 2016 Spent time: 1.30 hour

Description

It might be nice to have a way in CoCoA-5 to know which external libs are actually present.

History

#1 - 13 May 2015 12:09 - John Abbott

Some ideas:

a function ExternalLibs which returns a list of strings

a function HaveExternalLib which expects a string and returns a bool

#2 - 13 May 2015 16:41 - Anna Maria Bigatti

- % Done changed from 0 to 80

- Estimated time set to 1.00 h

Done.

Just fiddling with the string returned by

VersionInfo().CompilationDefines

#3 - 13 May 2015 17:20 - John Abbott

JAA and AMB think that there is little need to have a similar function in CoCoALib since there are the CPP defines COCOA_WITH_NORMALIZ and

so on.

#4 - 17 May 2015 09:51 - John Abbott

- Status changed from New to Feedback

- Assignee set to Anna Maria Bigatti

- % Done changed from 80 to 90

#5 - 18 May 2015 10:38 - John Abbott

It would also be nice if there were an indication of which version of each external library is present.  The ability to do this depends on whether the

external library actually makes such information available...

#6 - 18 Feb 2016 15:52 - John Abbott

- Status changed from Feedback to Closed
- Target version changed from CoCoA-5.?.? to CoCoA-5.1.3/4 Jan 2016

- % Done changed from 90 to 100

This has been in feedback for 9 months.

The current solution fits the KISS philosophy.  If something more sophisticated is needed later then we can open a new issue.

Closing.
